﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */


using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcEx.Controllers
{
    public interface IMvcExControllerBuilder
    {
        /// <summary>
        /// Creates/Fetches a type which can be instantiated as an ASP.NET MVC Controller
        /// </summary>
        /// <returns></returns>
        Type GetControllerType(String controllerName, Type baseControllerType);

        /// <summary>
        /// Creates/Fetches a type which can be instantiated as an ASP.NET MVC Controller
        /// </summary>
        /// <returns></returns>
        Type GetControllerType(String controllerName);
    }
}
