﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using MvcEx.Controllers;
using StructureMap;

namespace MvcEx.StructureMap
{
    /// <summary>
    /// Provides a very rudimentary implementation of the dynamic controller Ioc Container 
    /// </summary>
    public class MvcExStructureMapContainer : IIocContainer
    {
        public object GetInstance(Type t)
        {
            return ObjectFactory.GetInstance(t);
        }
    }
}
