﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using NUnit.Framework;

namespace MvcEx.Tests
{
    [TestFixture]
    public class MvcExDefaultApplicationConfigurationSelectorTests
    {
        [Test]
        public void create_configuration_and_check_current_config()
        {
            MvcExDefaultApplicationConfigurationSelector selector = new MvcExDefaultApplicationConfigurationSelector()
            {
                DefaultConfiguration = "default"
            };

            String id = selector.GetActiveConfigurationId();
            Assert.AreEqual("default", id);
        }
    }
}
