using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;




namespace MvcEx.Controllers
{
	public partial class MvcExController : Controller
	{		
			public System.Web.Mvc.ViewResult CallView()
			{
				return base.View();				
			}
			public System.Web.Mvc.ViewResult CallView(System.Object model)
			{
				return base.View(model);				
			}
			public System.Web.Mvc.ViewResult CallView(System.String viewName)
			{
				return base.View(viewName);				
			}
			public System.Web.Mvc.ViewResult CallView(System.String viewName, System.String masterName)
			{
				return base.View(viewName, masterName);				
			}
			public System.Web.Mvc.ViewResult CallView(System.String viewName, System.Object model)
			{
				return base.View(viewName, model);				
			}
			public System.Web.Mvc.ViewResult CallView(System.String viewName, System.String masterName, System.Object model)
			{
				return base.View(viewName, masterName, model);				
			}
			public System.Web.Mvc.ViewResult CallView(System.Web.Mvc.IView view)
			{
				return base.View(view);				
			}
			public System.Web.Mvc.ViewResult CallView(System.Web.Mvc.IView view, System.Object model)
			{
				return base.View(view, model);				
			}
			public System.Web.Mvc.ContentResult CallContent(System.String content)
			{
				return base.Content(content);				
			}
			public System.Web.Mvc.ContentResult CallContent(System.String content, System.String contentType)
			{
				return base.Content(content, contentType);				
			}
			public System.Web.Mvc.ContentResult CallContent(System.String content, System.String contentType, System.Text.Encoding contentEncoding)
			{
				return base.Content(content, contentType, contentEncoding);				
			}
			public void CallExecuteCore()
			{
				base.ExecuteCore();				
			}
			public System.Web.Mvc.FileContentResult CallFile(System.Byte[] fileContents, System.String contentType)
			{
				return base.File(fileContents, contentType);				
			}
			public System.Web.Mvc.FileContentResult CallFile(System.Byte[] fileContents, System.String contentType, System.String fileDownloadName)
			{
				return base.File(fileContents, contentType, fileDownloadName);				
			}
			public System.Web.Mvc.FileStreamResult CallFile(System.IO.Stream fileStream, System.String contentType)
			{
				return base.File(fileStream, contentType);				
			}
			public System.Web.Mvc.FileStreamResult CallFile(System.IO.Stream fileStream, System.String contentType, System.String fileDownloadName)
			{
				return base.File(fileStream, contentType, fileDownloadName);				
			}
			public System.Web.Mvc.FilePathResult CallFile(System.String fileName, System.String contentType)
			{
				return base.File(fileName, contentType);				
			}
			public System.Web.Mvc.FilePathResult CallFile(System.String fileName, System.String contentType, System.String fileDownloadName)
			{
				return base.File(fileName, contentType, fileDownloadName);				
			}
			public void CallHandleUnknownAction(System.String actionName)
			{
				base.HandleUnknownAction(actionName);				
			}
			public System.Web.Mvc.JavaScriptResult CallJavaScript(System.String script)
			{
				return base.JavaScript(script);				
			}
			public System.Web.Mvc.JsonResult CallJson(System.Object data)
			{
				return base.Json(data);				
			}
			public System.Web.Mvc.JsonResult CallJson(System.Object data, System.String contentType)
			{
				return base.Json(data, contentType);				
			}
			public System.Web.Mvc.JsonResult CallJson(System.Object data, System.String contentType, System.Text.Encoding contentEncoding)
			{
				return base.Json(data, contentType, contentEncoding);				
			}
			public void CallInitialize(System.Web.Routing.RequestContext requestContext)
			{
				base.Initialize(requestContext);				
			}
			public void CallOnActionExecuting(System.Web.Mvc.ActionExecutingContext filterContext)
			{
				base.OnActionExecuting(filterContext);				
			}
			public void CallOnActionExecuted(System.Web.Mvc.ActionExecutedContext filterContext)
			{
				base.OnActionExecuted(filterContext);				
			}
			public void CallOnAuthorization(System.Web.Mvc.AuthorizationContext filterContext)
			{
				base.OnAuthorization(filterContext);				
			}
			public void CallOnException(System.Web.Mvc.ExceptionContext filterContext)
			{
				base.OnException(filterContext);				
			}
			public void CallOnResultExecuted(System.Web.Mvc.ResultExecutedContext filterContext)
			{
				base.OnResultExecuted(filterContext);				
			}
			public void CallOnResultExecuting(System.Web.Mvc.ResultExecutingContext filterContext)
			{
				base.OnResultExecuting(filterContext);				
			}
			public System.Web.Mvc.PartialViewResult CallPartialView()
			{
				return base.PartialView();				
			}
			public System.Web.Mvc.PartialViewResult CallPartialView(System.Object model)
			{
				return base.PartialView(model);				
			}
			public System.Web.Mvc.PartialViewResult CallPartialView(System.String viewName)
			{
				return base.PartialView(viewName);				
			}
			public System.Web.Mvc.PartialViewResult CallPartialView(System.String viewName, System.Object model)
			{
				return base.PartialView(viewName, model);				
			}
			public System.Web.Mvc.RedirectResult CallRedirect(System.String url)
			{
				return base.Redirect(url);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToAction(System.String actionName)
			{
				return base.RedirectToAction(actionName);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToAction(System.String actionName, System.Object routeValues)
			{
				return base.RedirectToAction(actionName, routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToAction(System.String actionName, System.Web.Routing.RouteValueDictionary routeValues)
			{
				return base.RedirectToAction(actionName, routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToAction(System.String actionName, System.String controllerName)
			{
				return base.RedirectToAction(actionName, controllerName);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToAction(System.String actionName, System.String controllerName, System.Object routeValues)
			{
				return base.RedirectToAction(actionName, controllerName, routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToAction(System.String actionName, System.String controllerName, System.Web.Routing.RouteValueDictionary routeValues)
			{
				return base.RedirectToAction(actionName, controllerName, routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToRoute(System.Object routeValues)
			{
				return base.RedirectToRoute(routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToRoute(System.Web.Routing.RouteValueDictionary routeValues)
			{
				return base.RedirectToRoute(routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToRoute(System.String routeName)
			{
				return base.RedirectToRoute(routeName);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToRoute(System.String routeName, System.Object routeValues)
			{
				return base.RedirectToRoute(routeName, routeValues);				
			}
			public System.Web.Mvc.RedirectToRouteResult CallRedirectToRoute(System.String routeName, System.Web.Routing.RouteValueDictionary routeValues)
			{
				return base.RedirectToRoute(routeName, routeValues);				
			}
	
	}

	public partial class MvcExActionContainer
	{

			protected System.Web.Mvc.ViewResult View()
			{
				return mParent.CallView();				
			}
			
			protected System.Web.Mvc.ViewResult View(System.Object model)
			{
				return mParent.CallView(model);				
			}
			
			protected System.Web.Mvc.ViewResult View(System.String viewName)
			{
				return mParent.CallView(viewName);				
			}
			
			protected System.Web.Mvc.ViewResult View(System.String viewName, System.String masterName)
			{
				return mParent.CallView(viewName, masterName);				
			}
			
			protected System.Web.Mvc.ViewResult View(System.String viewName, System.Object model)
			{
				return mParent.CallView(viewName, model);				
			}
			
			protected System.Web.Mvc.ViewResult View(System.String viewName, System.String masterName, System.Object model)
			{
				return mParent.CallView(viewName, masterName, model);				
			}
			
			protected System.Web.Mvc.ViewResult View(System.Web.Mvc.IView view)
			{
				return mParent.CallView(view);				
			}
			
			protected System.Web.Mvc.ViewResult View(System.Web.Mvc.IView view, System.Object model)
			{
				return mParent.CallView(view, model);				
			}
			
			protected System.Web.Mvc.ContentResult Content(System.String content)
			{
				return mParent.CallContent(content);				
			}
			
			protected System.Web.Mvc.ContentResult Content(System.String content, System.String contentType)
			{
				return mParent.CallContent(content, contentType);				
			}
			
			protected System.Web.Mvc.ContentResult Content(System.String content, System.String contentType, System.Text.Encoding contentEncoding)
			{
				return mParent.CallContent(content, contentType, contentEncoding);				
			}
			
			protected void ExecuteCore()
			{
				mParent.CallExecuteCore();				
			}
			
			protected System.Web.Mvc.FileContentResult File(System.Byte[] fileContents, System.String contentType)
			{
				return mParent.CallFile(fileContents, contentType);				
			}
			
			protected System.Web.Mvc.FileContentResult File(System.Byte[] fileContents, System.String contentType, System.String fileDownloadName)
			{
				return mParent.CallFile(fileContents, contentType, fileDownloadName);				
			}
			
			protected System.Web.Mvc.FileStreamResult File(System.IO.Stream fileStream, System.String contentType)
			{
				return mParent.CallFile(fileStream, contentType);				
			}
			
			protected System.Web.Mvc.FileStreamResult File(System.IO.Stream fileStream, System.String contentType, System.String fileDownloadName)
			{
				return mParent.CallFile(fileStream, contentType, fileDownloadName);				
			}
			
			protected System.Web.Mvc.FilePathResult File(System.String fileName, System.String contentType)
			{
				return mParent.CallFile(fileName, contentType);				
			}
			
			protected System.Web.Mvc.FilePathResult File(System.String fileName, System.String contentType, System.String fileDownloadName)
			{
				return mParent.CallFile(fileName, contentType, fileDownloadName);				
			}
			
			protected void HandleUnknownAction(System.String actionName)
			{
				mParent.CallHandleUnknownAction(actionName);				
			}
			
			protected System.Web.Mvc.JavaScriptResult JavaScript(System.String script)
			{
				return mParent.CallJavaScript(script);				
			}
			
			protected System.Web.Mvc.JsonResult Json(System.Object data)
			{
				return mParent.CallJson(data);				
			}
			
			protected System.Web.Mvc.JsonResult Json(System.Object data, System.String contentType)
			{
				return mParent.CallJson(data, contentType);				
			}
			
			protected System.Web.Mvc.JsonResult Json(System.Object data, System.String contentType, System.Text.Encoding contentEncoding)
			{
				return mParent.CallJson(data, contentType, contentEncoding);				
			}
			
			protected void Initialize(System.Web.Routing.RequestContext requestContext)
			{
				mParent.CallInitialize(requestContext);				
			}
			
			protected void OnActionExecuting(System.Web.Mvc.ActionExecutingContext filterContext)
			{
				mParent.CallOnActionExecuting(filterContext);				
			}
			
			protected void OnActionExecuted(System.Web.Mvc.ActionExecutedContext filterContext)
			{
				mParent.CallOnActionExecuted(filterContext);				
			}
			
			protected void OnAuthorization(System.Web.Mvc.AuthorizationContext filterContext)
			{
				mParent.CallOnAuthorization(filterContext);				
			}
			
			protected void OnException(System.Web.Mvc.ExceptionContext filterContext)
			{
				mParent.CallOnException(filterContext);				
			}
			
			protected void OnResultExecuted(System.Web.Mvc.ResultExecutedContext filterContext)
			{
				mParent.CallOnResultExecuted(filterContext);				
			}
			
			protected void OnResultExecuting(System.Web.Mvc.ResultExecutingContext filterContext)
			{
				mParent.CallOnResultExecuting(filterContext);				
			}
			
			protected System.Web.Mvc.PartialViewResult PartialView()
			{
				return mParent.CallPartialView();				
			}
			
			protected System.Web.Mvc.PartialViewResult PartialView(System.Object model)
			{
				return mParent.CallPartialView(model);				
			}
			
			protected System.Web.Mvc.PartialViewResult PartialView(System.String viewName)
			{
				return mParent.CallPartialView(viewName);				
			}
			
			protected System.Web.Mvc.PartialViewResult PartialView(System.String viewName, System.Object model)
			{
				return mParent.CallPartialView(viewName, model);				
			}
			
			protected System.Web.Mvc.RedirectResult Redirect(System.String url)
			{
				return mParent.CallRedirect(url);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToAction(System.String actionName)
			{
				return mParent.CallRedirectToAction(actionName);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToAction(System.String actionName, System.Object routeValues)
			{
				return mParent.CallRedirectToAction(actionName, routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToAction(System.String actionName, System.Web.Routing.RouteValueDictionary routeValues)
			{
				return mParent.CallRedirectToAction(actionName, routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToAction(System.String actionName, System.String controllerName)
			{
				return mParent.CallRedirectToAction(actionName, controllerName);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToAction(System.String actionName, System.String controllerName, System.Object routeValues)
			{
				return mParent.CallRedirectToAction(actionName, controllerName, routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToAction(System.String actionName, System.String controllerName, System.Web.Routing.RouteValueDictionary routeValues)
			{
				return mParent.CallRedirectToAction(actionName, controllerName, routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToRoute(System.Object routeValues)
			{
				return mParent.CallRedirectToRoute(routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToRoute(System.Web.Routing.RouteValueDictionary routeValues)
			{
				return mParent.CallRedirectToRoute(routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToRoute(System.String routeName)
			{
				return mParent.CallRedirectToRoute(routeName);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToRoute(System.String routeName, System.Object routeValues)
			{
				return mParent.CallRedirectToRoute(routeName, routeValues);				
			}
			
			protected System.Web.Mvc.RedirectToRouteResult RedirectToRoute(System.String routeName, System.Web.Routing.RouteValueDictionary routeValues)
			{
				return mParent.CallRedirectToRoute(routeName, routeValues);				
			}
			
	}
}