﻿/* ----------------------------------------------------------------------------
 * Copyright (c) Rob Ashton 2009
 *
 * This source code is subject to terms and conditions of the Microsoft Public 
 * License (Ms-PL).
 * 
 * By using this source code in any fashion, you are agreeing to be bound 
 * by the terms of the Microsoft Public License.
 * 
 * To request a copy of the Microsoft Public License, send a request by email
 * to license@mvcex.com
 *
 * This notice must not be removed from this software.
 * ---------------------------------------------------------------------------- */

using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcEx.Theming
{
    /// <summary>
    /// Defines an entry point for configuring the theming system, sadly this is static because it is required from within the context
    /// of a ASP.NET Forms class (ViewPage) which isn't open to any sort of sensible dependency injection
    /// </summary>
    public static class MvcExThemeSystem
    {
        /// <summary>
        /// Gets or sets the selector being used for the finding the current theme
        /// </summary>
        public static IMvcExThemeSelector ThemeSelector
        {
            get;
            set;
        }
    }
}
